I tre schemi
Ogni schema è un breve pezzo di testo che un telefono sa passare all'app giusta. mailto: apre l'app di posta, tel: apre il tastierino telefonico e sms: apre l'app di messaggi, con il destinatario e a volte il messaggio già compilati.
I numeri di telefono funzionano meglio in formato internazionale con il segno più e il prefisso del Paese, come +15035550123, così il codice funziona per i visitatori di altri Paesi.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (convenzione più vecchia, ancora molto letta)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (convenzione più vecchia per le email)
Codificare il testo del messaggio
Oggetti e corpi dei messaggi nei link mailto e sms vanno codificati in percentuale, quindi uno spazio diventa %20 e una e commerciale dentro il testo diventa %26. I caratteri non codificati possono troncare il messaggio o rompere il link.
Le piattaforme non hanno sempre interpretato allo stesso modo il parametro body di sms, ed è uno dei motivi per cui la vecchia forma SMSTO: è ancora comune nei generatori di codici QR. Provare sia su iPhone sia su Android prima di stampare è il controllo affidabile.
Che cosa non possono fare questi codici
Un codice QR non può inviare da solo un'email, un messaggio di testo o effettuare una chiamata. Apre soltanto l'app con i campi compilati, e la persona che scansiona decide se premere invia o chiama.
Poiché il destinatario è visibile prima dell'invio, conviene controllare che corrisponda a ciò che ci si aspetta. Un codice che precompila un messaggio verso un numero a tariffa maggiorata o un indirizzo sconosciuto è un segnale d'allarme.